local BlongFrame = CreateFrame("Frame")
local PlayerGUID = UnitGUID("player")
local SpellID = 207472 -- Xavaric's Magnum Opus
local Bell = 25599 -- GO_Bell01
local Debug = false

function debug(message)
  if Debug then
    print(message)
  end
end

BlongFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
BlongFrame:SetScript("OnEvent",
  function(self, event)   
    local arg = {CombatLogGetCurrentEventInfo()}
    local event_type, sguid, dguid, spellid = arg[2], arg[4], arg[8], arg[12]
    if event_type ~= "SPELL_AURA_APPLIED" and event_type ~= "SPELL_AURA_REFRESH" then
      return
    end
    if PlayerGUID == nil then
      PlayerGUID = UnitGUID("player")
    end
    if sguid == PlayerGUID and sguid == dguid and spellid == SpellID then
      debug("Blong!")
      PlaySound(Bell, "SFX")
    end    
  end)